GET /api/v3/agencies/{lcuid}/lightning-devices¶
Summary¶
GET agencies/{id}/lightning-devices
Description¶
Return a list of lightning devices for an agency
See Lightning Device Response Fields for the lightning device object
Tags: agencies
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)lightning_devices(array)-
Array items:
objectType:objectProperties:
name(string)description(string)device_number(string)device_request_lcuid(string)device_provided_uuid(string)status(integer)options(object) Type:object
Properties:
-
_init(array) -
latitude(string) longitude(string)width(integer)height(integer)digital_board_format(string)venue_taxonomy_id(string)lcuid(string)vendor_id(string)cached_tags(string)
Example Response¶
{
"success": true,
"lightning_devices": [
{
"name": "My Cool Device 1",
"description": null,
"device_number": "LDN-20541",
"device_request_lcuid": "LCUID-LDR-cd25ae84-dd72-4b4e-be0f-c69bfc810126",
"device_provided_uuid": "5t27wAkQsJCJxQu0",
"status": 0,
"options": {
"_init": []
},
"latitude": "0.00000000",
"longitude": "0.00000000",
"width": 1024,
"height": 768,
"digital_board_format": null,
"venue_taxonomy_id": null,
"lcuid": "LCUID-LD-d66d1888-956c-493a-b1ca-756be2b4635e",
"vendor_id": null,
"cached_tags": null
},
{
"name": "My Cool Device 2",
"description": null,
"device_number": "LDN-20578",
"device_request_lcuid": "LCUID-LDR-f14f7c80-1f11-4c82-9484-6cbc9f97a5bf",
"device_provided_uuid": "Ru2LBJeVEkaPebPl",
"status": 0,
"options": {
"_init": []
},
"latitude": "0.00000000",
"longitude": "0.00000000",
"width": 1024,
"height": 768,
"digital_board_format": null,
"venue_taxonomy_id": null,
"lcuid": "LCUID-LD-55948ee7-4d87-4956-bd73-d4b3fbbbccc7",
"vendor_id": null,
"cached_tags": null
},
{
"name": "My Cool Device 3",
"description": null,
"device_number": "LDN-20600",
"device_request_lcuid": "LCUID-LDR-4a27ede2-8c2c-4457-b1a8-170aee1ed3a8",
"device_provided_uuid": "lqXFmJdZZDgopxVs",
"status": 0,
"options": {
"_init": []
},
"latitude": "0.00000000",
"longitude": "0.00000000",
"width": 1024,
"height": 768,
"digital_board_format": null,
"venue_taxonomy_id": null,
"lcuid": "LCUID-LD-613bc3f9-35c6-46ad-ab9f-d1e1c2e62413",
"vendor_id": null,
"cached_tags": null
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/lightning-devices" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/lightning-devices"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/lightning-devices',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/lightning-devices'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()